Summary:          Cryptography plugin for mutt & kmail.
Name:             cryptplug
Version:          0.3.16
Release:          0.fdr.2.1
Epoch:            0
URL:              http://www.gnupg.org/gpgme.html
License:          GPL
Group:            System Environment/Libraries
Source0:          ftp://ftp.gnupg.org/gcrypt/alpha/cryptplug/cryptplug-0.3.16.tar.gz   
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	  gpgme03-devel = 0:0.3.16

#---------------------------------------------------------------------

%description
This is a collection of plug-ins to cryptographic engines, accessible
by the crypt-plug interface.  Applications can make use of the crypto
operations provided by the CryptPlug interface, and the plug-ins
provided by this package implement the interface for various
cryptographic engines, like GnuPG.

There are plug-ins for different crypto engines available.


#---------------------------------------------------------------------

%prep
%setup -q

#---------------------------------------------------------------------

%build
%configure --enable-cryptplug-gpgme
make %{?_smp_mflags}
  

#---------------------------------------------------------------------

%install
rm -rf %{buildroot}
%makeinstall

#---------------------------------------------------------------------

%clean
rm -rf %{buildroot}

#---------------------------------------------------------------------


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%_libdir/cryptplug/*.so
%_libdir/cryptplug/*.a

%exclude %{_libdir}/cryptplug/*.la

#---------------------------------------------------------------------

%changelog
* Wed Dec 10 2003 Dennis Gilmore <dennis@ausil.us> 0:0.3.16-0.fdr.2
- Remove requires gpgme03  as its an auto dependency

* Tue Dec 02 2003 Dennis Gilmore <dennis@ausil.us> 0:0.3.16-0.fdr.1
- Upgrade to 0.3.16

* Tue Nov 11 2003 Dennis Gilmore <dennis@dgilmore.net> 0:0.3.15-0.fdr.1
- Build for Fedora Core 1

* Mon Apr 28 2003 Warren Togami <warren@togami.com> 0:0.3.15-0.fdr.4
- #168 fix group name, remove autoconf buildrequire

* Sat Apr 26 2003 Dennis Gilmore <dennis@dgilmore.net> 0:0.3.15-0.fdr.3
- Tidy up spec file some more

* Thu Apr 24 2003 Dennis Gilmore <dennis@dgilmore.net> 0:0.3.15-0.fdr.2
- Tidy up spec file  make it more fedora compatible

* Sun Apr 13 2003 Dennis Gilmore <dennis@dgilmore.net> 0:0.3.15-0.fdr.1
- Initial RPM release.
